import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import VueLazyLoad from 'vue3-lazyload'
import svgIcon from '@/components/svgIcon.vue'
import './tailwind.css'

createApp(App)
.use(store)
.use(router)
.use(VueLazyLoad, {
  // options...
  // loading: () => {
  //   console.log('loading')
  // },
  // error: () => {
  //   console.log('error')
  // },
  // loaded: () => {
  //   console.log('loaded')
  // }
  log: false, //关闭log
})
.component('svg-icon', svgIcon)
.mount("#app");
